## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsKeyFactory Struct Reference
[AWS, AWS]

Interface for key factories. More...

`#include <iaws/aws.h>`

Inheritance diagram for iAwsKeyFactory:

[legend]
List of all members.

## Public Member Functions

virtual void | AddConnectionKey (const char *name, iAwsSink *s, unsigned long t, unsigned long sig)=0
| Add a connection key.
virtual void | AddConnectionNode (iAwsConnectionNodeFactory *node)=0
| Add a connection node (from a factory).
virtual void | AddFactory (iAwsKeyFactory *factory)=0
| Adds the given factory's base in as a child of this factory.
virtual void | AddIntKey (const char *name, int v)=0
| Add an integer key.
virtual void | AddPointKey (const char *name, csVector2 v)=0
| Add a point key.
virtual void | AddRectKey (const char *name, csRect v)=0
| Add a rect key.
virtual void | AddRGBKey (const char *name, unsigned char r, unsigned char g, unsigned char b)=0
| Add an RGB key.
virtual void | AddStringKey (const char *name, const char *v)=0
| Add a string key.
virtual void | AddToWindowList (iAwsPrefManager *pm)=0
| Adds this factory's base to the window manager IF the base is a window.
virtual void | Initialize (const char *name, const char *component_type)=0
| Initializes the factory , name is the name of this component, component type is it's type.

## Detailed Description

Interface for key factories.

Definition at line 1197 of file aws.h.

## Member Function Documentation

virtual void iAwsKeyFactory::AddConnectionKey | ( | const char * | name,
|  | iAwsSink * | s,
|  | unsigned long | t,
|  | unsigned long | sig
| ) | `[pure virtual]`

| Add a connection key.

virtual void iAwsKeyFactory::AddConnectionNode | ( | iAwsConnectionNodeFactory * | node | ) | `[pure virtual]`

| Add a connection node (from a factory).

virtual void iAwsKeyFactory::AddFactory | ( | iAwsKeyFactory * | factory | ) | `[pure virtual]`

| Adds the given factory's base in as a child of this factory.

virtual void iAwsKeyFactory::AddIntKey | ( | const char * | name,
|  | int | v
| ) | `[pure virtual]`

| Add an integer key.

virtual void iAwsKeyFactory::AddPointKey | ( | const char * | name,
|  | csVector2 | v
| ) | `[pure virtual]`

| Add a point key.

virtual void iAwsKeyFactory::AddRectKey | ( | const char * | name,
|  | csRect | v
| ) | `[pure virtual]`

| Add a rect key.

virtual void iAwsKeyFactory::AddRGBKey | ( | const char * | name,
|  | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b
| ) | `[pure virtual]`

| Add an RGB key.

virtual void iAwsKeyFactory::AddStringKey | ( | const char * | name,
|  | const char * | v
| ) | `[pure virtual]`

| Add a string key.

virtual void iAwsKeyFactory::AddToWindowList | ( | iAwsPrefManager * | pm | ) | `[pure virtual]`

| Adds this factory's base to the window manager IF the base is a window.

virtual void iAwsKeyFactory::Initialize | ( | const char * | name,
|  | const char * | component_type
| ) | `[pure virtual]`

| Initializes the factory , name is the name of this component, component type is it's type.

The documentation for this struct was generated from the following file:

- iaws/aws.h